/*
 * $Id: VKCProjectSubfolder.java,v 1.1 2006/10/04 03:15:08 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: VKCProjectSubfolder.java,v $
 * Revision 1.1  2006/10/04 03:15:08  marbobo
 * + Vollständige Unterstützung für Templates implementiert
 * + Alles von Virtoweb auf ProCoBa umgestellt
 *
 * Revision 1.2  2004/07/20 08:59:22  jonyp
 * added copyright info + cvs log
 *
 *
 */

package vkc.procoba.project.entities;

import vkc.db.entities.VKCCategory;
import vkc.db.entities.VKCEntity;

public class VKCProjectSubfolder extends VKCCategory {

	protected Integer projectId = VKCEntity.ID_UNDEFINED;
	
	public VKCProjectSubfolder() {
		super();
	}

	public Integer getProjectId() {
		return projectId;
	}

    public void setProjectId(Integer projectId) {
    	this.projectId = projectId==null ? VKCEntity.ID_UNDEFINED : projectId;
    }

	public String getProjectViewLink() {
		return "/projectView.do?projectId=" + getProjectId() + "&subfolderId=" + getCategoryId();
	}
}
